summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-09-07 08:08:33 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-09-07 08:08:33 +0000
commitabb83dd944032c4b2c0a28f72c5487f8d1f1c3a8 (patch)
treeeaa392dfc12bbd0dccd096cfcad1465d78248876 /dev-python
parentd017a0c14d36b6a7f9ce0f9392298c5f513ebe6f (diff)
downloadbaldeagleos-repo-abb83dd944032c4b2c0a28f72c5487f8d1f1c3a8.tar.gz
baldeagleos-repo-abb83dd944032c4b2c0a28f72c5487f8d1f1c3a8.tar.xz
baldeagleos-repo-abb83dd944032c4b2c0a28f72c5487f8d1f1c3a8.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/PyPDF2/Manifest2
-rw-r--r--dev-python/PyPDF2/PyPDF2-2.8.1.ebuild125
-rw-r--r--dev-python/autobahn/Manifest1
-rw-r--r--dev-python/autobahn/autobahn-22.6.1.ebuild117
-rw-r--r--dev-python/dask/Manifest2
-rw-r--r--dev-python/dask/dask-2022.7.1.ebuild58
-rw-r--r--dev-python/dask/dask-2022.8.0.ebuild59
-rw-r--r--dev-python/google-auth/Manifest1
-rw-r--r--dev-python/google-auth/google-auth-2.9.1.ebuild58
-rw-r--r--dev-python/humanize/Manifest1
-rw-r--r--dev-python/humanize/humanize-4.2.3.ebuild29
-rw-r--r--dev-python/identify/Manifest1
-rw-r--r--dev-python/identify/identify-2.5.2.ebuild29
-rw-r--r--dev-python/mkdocs-redirects/Manifest1
-rw-r--r--dev-python/mkdocs-redirects/mkdocs-redirects-1.0.4-r1.ebuild28
-rw-r--r--dev-python/openstackdocstheme/Manifest1
-rw-r--r--dev-python/openstackdocstheme/openstackdocstheme-2.4.0.ebuild25
-rw-r--r--dev-python/oslo-concurrency/Manifest1
-rw-r--r--dev-python/oslo-concurrency/oslo-concurrency-4.5.1.ebuild51
-rw-r--r--dev-python/pdm-pep517/Manifest3
-rw-r--r--dev-python/pdm-pep517/pdm-pep517-1.0.1.ebuild58
-rw-r--r--dev-python/pdm-pep517/pdm-pep517-1.0.2.ebuild58
-rw-r--r--dev-python/pdm-pep517/pdm-pep517-1.0.3.ebuild58
-rw-r--r--dev-python/pylibmc/Manifest2
-rw-r--r--dev-python/pylibmc/files/pylibmc-1.6.1-py311.patch29
-rw-r--r--dev-python/pylibmc/pylibmc-1.6.1-r2.ebuild68
-rw-r--r--dev-python/pyxDamerauLevenshtein/Manifest1
-rw-r--r--dev-python/pyxDamerauLevenshtein/pyxDamerauLevenshtein-1.7.0.ebuild22
-rw-r--r--dev-python/setuptools-declarative-requirements/Manifest1
-rw-r--r--dev-python/setuptools-declarative-requirements/setuptools-declarative-requirements-1.2.0-r2.ebuild51
-rw-r--r--dev-python/stripe/Manifest1
-rw-r--r--dev-python/stripe/stripe-3.5.0.ebuild71
-rw-r--r--dev-python/yappi/Manifest1
-rw-r--r--dev-python/yappi/yappi-1.3.5.ebuild40
34 files changed, 0 insertions, 1054 deletions
diff --git a/dev-python/PyPDF2/Manifest b/dev-python/PyPDF2/Manifest
index de4e0e182274..6ad9354fc314 100644
--- a/dev-python/PyPDF2/Manifest
+++ b/dev-python/PyPDF2/Manifest
@@ -3,8 +3,6 @@ DIST PyPDF2-2.10.2.gh.tar.gz 6434051 BLAKE2B 36778692fc8fff4c4dba16e94128b09d366
DIST PyPDF2-2.10.3.gh.tar.gz 6435551 BLAKE2B 2907ef5f8fb7117d895d87326fd8281154cb5a78be54e832489c211f10a2cb2762051eff419279e2f3e70ed773645b08b59d598c9c7edba575c06d9e34fcefa6 SHA512 a8b05f280e8aecd9b54a143dc77c6aa5e095485e4d9c38c3d2ab62855e004d4c8333b88c7b663cf282d7a7eeac920595d94e6c3ba7524850272d82cb504a4f7c
DIST PyPDF2-2.10.4.gh.tar.gz 6435008 BLAKE2B 00f4b2f65198026715186dbf1ced15e825cb061873f3b8d3d7716d81439d3d44b392ea90d886ce8aad45b1fd29fafcbb917e9aed795d311c98e2752643ae40be SHA512 ac865096ae370626ad7ab243a5c95fafc95e71c31e79c4f89be919205d956726d0147a7b4cf5a2bcddb021999261fa0a73942df64763cf3c8b30620274ea518d
DIST PyPDF2-2.10.5.gh.tar.gz 6443691 BLAKE2B 6b60ea4d1a044ee5f20718744118f5739a4271a0552960e2760c4904f57201ed8426d4cb81ce5f5d2170b84958e1b17ea3de843137e669ed7b202a49db8654c2 SHA512 cf07448b2ea4397f1bf5b2d563956bda218e9031b4396e86c2d689d518c7c2b17920771dbdf0e5ed6013dd96d957add12d3f4fbdf3a8bd3262a1fae38ae741d8
-DIST PyPDF2-2.8.1.gh.tar.gz 5872212 BLAKE2B 19224d1b38947ad14adfb9b33201e0223f6da43072c6bffb78fae939872d0a025e6d2fd6f1eed0c0b88754a359a5459a45a36130659d81089caa884025a922d1 SHA512 6414339017c154610dbb5affcbf94fcda7ab6d1ea78f35cc348a2b8e5fc8c60216c4f20ffc114cb3abd8245ad7a8b40b4cca6161e3a98caff896fb823acc7bea
DIST PyPDF2-2.9.0.gh.tar.gz 5877910 BLAKE2B afea03f9ac21e4b39cd39ce03adf70a8e08b80315f7cdd81440e371396ba48939560a3835de9587be8020e1aab75726409ecec753ef0fb042d69fe7fc6755e80 SHA512 fefbc6e6eb7ac0a0154f662044acb66f1c034efc114e878ced109d54a3e5427bb73088cb88d765c4576c2d67459a2daf64415789f8efe9b66cf8ed2bb78ff297
-DIST PyPDF2-sample-files-200644f7219811c3930ad1732ef70c570ece2d16.gh.tar.gz 5513604 BLAKE2B 1bfccaf3b50431d32341c24ea7aa203060d40d60a4b3656df35274d056918e7fccf99e11ee2539f65e6de15741ce28acaccd0ddc771ca334a8ba18a8953aee05 SHA512 5d2e1aa06e240957e9ec230406208fc653384b45b9e4b6631580c2eb4f08327e192c6ef57c2310ef3ed0604c85015b15f5ade8ef7d9f525e73733e040fe37fe5
DIST PyPDF2-sample-files-b6f4ff3de00745783d79f25cb8803901d1f20d28.gh.tar.gz 5522867 BLAKE2B 9a6cb3b92032f9ec697b972b1a257b2c2528d36cd4a7e40092ac6dbf0a4955c5b204b8c82d37f9bad4a19fccddf0070b095ee2f3b56de22d738ed3d8a3b555c0 SHA512 74aad38060f441ace87f6650de152a28f4a251e4f47574a8d46066857c8fbbb187cd3cd275caa198dce2c1557e90664b288f071995c2bbb9bf13a341210313e8
DIST PyPDF2-sample-files-bedcbe077c4898e1b97c6c6f81d937f5048b4630.gh.tar.gz 7198720 BLAKE2B 91d177e7329fd137322972a3a38841cb0611de7f839071fe2fa5ecff0343cbffdf6976f42f4a779f520a8a2bac2d6573c5cd65bf2f1bc68395077e6e9c7322d9 SHA512 0cdaee85f1da12cf678165f06c8d351aa0808137d25f68c07f19f1bd3c929eeb52e604041dfaa0df94665379aeb7d19a43426d724a5e6602b7e4fbe7a62e753d
diff --git a/dev-python/PyPDF2/PyPDF2-2.8.1.ebuild b/dev-python/PyPDF2/PyPDF2-2.8.1.ebuild
deleted file mode 100644
index a35443f8a0d9..000000000000
--- a/dev-python/PyPDF2/PyPDF2-2.8.1.ebuild
+++ /dev/null
@@ -1,125 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{7,8,9,10} )
-
-inherit distutils-r1
-
-SAMPLE_COMMIT=200644f7219811c3930ad1732ef70c570ece2d16
-DESCRIPTION="Python library to work with PDF files"
-HOMEPAGE="
- https://pypi.org/project/PyPDF2/
- https://github.com/py-pdf/PyPDF2/
-"
-SRC_URI="
- https://github.com/py-pdf/PyPDF2/archive/${PV}.tar.gz
- -> ${P}.gh.tar.gz
- test? (
- https://github.com/py-pdf/sample-files/archive/${SAMPLE_COMMIT}.tar.gz
- -> ${PN}-sample-files-${SAMPLE_COMMIT}.gh.tar.gz
- )
-"
-
-LICENSE="BSD-2"
-SLOT="0"
-KEYWORDS="amd64 ~arm64 ~ppc64 x86"
-
-RDEPEND="
- $(python_gen_cond_dep '
- dev-python/typing-extensions[${PYTHON_USEDEP}]
- ' 3.8 3.9)
-"
-BDEPEND="
- dev-python/pillow[${PYTHON_USEDEP}]
- test? (
- dev-python/pycryptodome[${PYTHON_USEDEP}]
- )
-"
-
-distutils_enable_tests pytest
-
-EPYTEST_DESELECT=(
- # Needs network access
- tests/test_cmap.py
- tests/test_filters.py::test_decompress_zlib_error
- tests/test_filters.py::test_lzw_decode_neg1
- tests/test_generic.py::test_dict_read_from_stream
- tests/test_generic.py::test_parse_content_stream_peek_percentage
- tests/test_generic.py::test_read_inline_image_no_has_q
- tests/test_generic.py::test_read_inline_image_loc_neg_1
- tests/test_generic.py::test_text_string_write_to_stream
- tests/test_generic.py::test_name_object_read_from_stream_unicode_error
- tests/test_generic.py::test_bool_repr
- tests/test_generic.py::test_issue_997
- tests/test_merger.py::test1
- tests/test_merger.py::test_bookmark
- tests/test_merger.py::test_iss1145
- tests/test_merger.py::test_sweep_indirect_list_newobj_is_None
- tests/test_merger.py::test_sweep_recursion1
- tests/test_merger.py::test_sweep_recursion2
- tests/test_merger.py::test_trim_outline
- tests/test_merger.py::test_trim_outline_list
- tests/test_merger.py::test_zoom
- tests/test_merger.py::test_zoom_xyz_no_left
- tests/test_page.py::test_empyt_password_1088
- tests/test_page.py::test_extract_text_operator_t_star
- tests/test_page.py::test_extract_text_page_pdf
- tests/test_page.py::test_extract_text_page_pdf_impossible_decode_xform
- tests/test_page.py::test_extract_text_single_quote_op
- 'tests/test_page.py::test_page_operations[https://arxiv.org/pdf/2201.00029.pdf-None]'
- tests/test_reader.py::test_extract_text_pdf15
- tests/test_reader.py::test_extract_text_xref_issue_2
- tests/test_reader.py::test_extract_text_xref_issue_3
- tests/test_reader.py::test_extract_text_xref_table_21_bytes_clrf
- tests/test_reader.py::test_get_fields
- tests/test_reader.py::test_get_fields_read_else_block
- tests/test_reader.py::test_get_fields_read_else_block2
- tests/test_reader.py::test_get_fields_read_else_block3
- tests/test_reader.py::test_get_fields_read_write_report
- tests/test_reader.py::test_iss925
- tests/test_reader.py::test_metadata_is_none
- tests/test_reader.py::test_outline_color
- tests/test_reader.py::test_outline_font_format
- tests/test_reader.py::test_outline_with_empty_action
- tests/test_reader.py::test_outline_with_missing_named_destination
- tests/test_reader.py::test_read_form_416
- tests/test_reader.py::test_unexpected_destination
- tests/test_reader.py::test_unexpected_destination
- tests/test_reader.py::test_xfa_non_empty
- tests/test_reader.py::test_PdfReaderMultipleDefinitions
- tests/test_utils.py::test_deprecate_no_replacement
- tests/test_workflows.py::test_compress
- tests/test_workflows.py::test_extract_text
- tests/test_workflows.py::test_extract_textbench
- tests/test_workflows.py::test_get_fields
- tests/test_workflows.py::test_get_fonts
- tests/test_workflows.py::test_get_metadata
- tests/test_workflows.py::test_get_outline
- tests/test_workflows.py::test_image_extraction
- tests/test_workflows.py::test_merge
- tests/test_workflows.py::test_merge_with_warning
- tests/test_workflows.py::test_overlay
- tests/test_workflows.py::test_scale_rectangle_indirect_object
- tests/test_workflows.py::test_get_xfa
- tests/test_writer.py::test_sweep_indirect_references_nullobject_exception
- tests/test_writer.py::test_write_bookmark_on_page_fitv
- tests/test_xmp.py::test_custom_properties
- tests/test_xmp.py::test_dc_creator
- tests/test_xmp.py::test_dc_description
- tests/test_xmp.py::test_dc_subject
- tests/test_xmp.py::test_issue585
- tests/test_xmp.py::test_xmpmm
-
- # Broken test
- tests/test_utils.py::test_deprecate_no_replacement
-)
-
-src_unpack() {
- default
- if use test; then
- mv "sample-files-${SAMPLE_COMMIT}"/* "${P}"/sample-files/ || die
- fi
-}
diff --git a/dev-python/autobahn/Manifest b/dev-python/autobahn/Manifest
index 6c5811abbfae..3fe91a90fc97 100644
--- a/dev-python/autobahn/Manifest
+++ b/dev-python/autobahn/Manifest
@@ -1,2 +1 @@
-DIST autobahn-22.6.1.tar.gz 467355 BLAKE2B 54015ee50fa45f23fa589927da232b3ea523efae291b56b44704b66d171075d9459f1c3cf6b96b34fec119deddd2731ebd0695d49345a724bc84b57d7494f332 SHA512 b99f9e4508650fe9484e680b0cd9a0023935445b26ea42fce7565152a5692fc0d1c80f9854b4b3b3004ea17f60d13663477a8710e977211509a14dfad973c635
DIST autobahn-22.7.1.tar.gz 476789 BLAKE2B 4860a6ec1a2631986dd5d8e94069134e75650eedb67dce18dd4c1e8ad45bd76ca183b4dcbca6ef4474c25f6feb4a1407c9fed4c74f0751e9c0c7fbca2b013406 SHA512 ea2c4d61d3f0f8ef35a31b599bc432781536dccaa316cda474a61003b10df0ef6346615d16228848cc5acb24a4e5f4c50be1fe759daf35b629f636da55688137
diff --git a/dev-python/autobahn/autobahn-22.6.1.ebuild b/dev-python/autobahn/autobahn-22.6.1.ebuild
deleted file mode 100644
index c32a41d06efd..000000000000
--- a/dev-python/autobahn/autobahn-22.6.1.ebuild
+++ /dev/null
@@ -1,117 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{7,8,9,10} )
-
-inherit distutils-r1 optfeature
-
-MY_P=${PN}-$(ver_rs 3 -)
-
-DESCRIPTION="WebSocket and WAMP for Twisted and Asyncio"
-HOMEPAGE="
- https://crossbar.io/autobahn/
- https://github.com/crossbario/autobahn-python/
- https://pypi.org/project/autobahn/
-"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${MY_P}.tar.gz"
-S="${WORKDIR}/${MY_P}"
-
-SLOT="0"
-LICENSE="MIT"
-KEYWORDS="amd64 arm arm64 ~riscv x86"
-IUSE="test xbr"
-RESTRICT="!test? ( test )"
-
-# The order of deps is based on their appearance in setup.py
-# All extra deps should be included in test and in optfeature
-RDEPEND="
- >=dev-python/zope-interface-5.2.0[${PYTHON_USEDEP}]
- >=dev-python/twisted-20.3.0[${PYTHON_USEDEP}]
- >=dev-python/attrs-20.3.0[${PYTHON_USEDEP}]
- >=dev-python/txaio-21.2.1[${PYTHON_USEDEP}]
- dev-python/cryptography[${PYTHON_USEDEP}]
- >=dev-python/hyperlink-21.0.0[${PYTHON_USEDEP}]
- dev-python/setuptools[${PYTHON_USEDEP}]
-"
-BDEPEND="
- test? (
- >=dev-python/wsaccel-0.6.3[${PYTHON_USEDEP}]
- >=dev-python/snappy-0.6.0[${PYTHON_USEDEP}]
- >=dev-python/msgpack-1.0.2[${PYTHON_USEDEP}]
- >=dev-python/ujson-4.0.2[${PYTHON_USEDEP}]
- >=dev-python/cbor2-5.2.0[${PYTHON_USEDEP}]
- >=dev-python/py-ubjson-0.16.1[${PYTHON_USEDEP}]
- >=dev-python/flatbuffers-1.12[${PYTHON_USEDEP}]
- >=dev-python/pyopenssl-20.0.1[${PYTHON_USEDEP}]
- >=dev-python/service_identity-18.1.0[${PYTHON_USEDEP}]
- >=dev-python/pynacl-1.4.0[${PYTHON_USEDEP}]
- >=dev-python/pytrie-0.4[${PYTHON_USEDEP}]
- >=dev-python/cffi-1.14.5[${PYTHON_USEDEP}]
- >=dev-python/argon2-cffi-20.1.0[${PYTHON_USEDEP}]
- >=dev-python/passlib-1.7.4[${PYTHON_USEDEP}]
-
- dev-python/pytest[${PYTHON_USEDEP}]
- dev-python/pytest-asyncio[${PYTHON_USEDEP}]
- dev-python/pytest-aiohttp[${PYTHON_USEDEP}]
- )
-"
-
-python_prepare_all() {
- if use xbr ; then
- eerror "***************"
- eerror "Required xbr dependencies are incomplete in Gentoo."
- eerror "So this functionality will not yet work"
- eerror "Please file a bug if this feature is needed"
- eerror "***************"
- else
- # remove xbr components
- export AUTOBAHN_STRIP_XBR="True"
- fi
-
- # avoid useless rust dependency
- sed -i -e '/cryptography/s:>=3.4.6::' setup.py || die
-
- # remove twisted plugin cache regen in setup.py
- # to fix tinderbox sandbox issue
- sed -e '/import/s:reactor:__importmustfail__:' \
- -i setup.py || die
-
- distutils-r1_python_prepare_all
-}
-
-python_test() {
- rm -rf autobahn || die
-
- einfo "Testing all, cryptosign using twisted"
- local -x USE_TWISTED=true
- "${EPYTHON}" -m twisted.trial autobahn || die "Tests failed with ${EPYTHON}"
- unset USE_TWISTED
-
- einfo "RE-testing cryptosign and component_aio using asyncio"
- local -x USE_ASYNCIO=true
- epytest --pyargs autobahn.wamp.test.test_wamp_{cryptosign,component_aio}
- unset USE_ASYNCIO
-
- rm -f twisted/plugins/dropin.cache || die
-}
-
-pkg_postinst() {
- optfeature "C-based WebSocket acceleration" "dev-python/wsaccel"
- optfeature "non-standard WebSocket compression support" "dev-python/snappy"
- optfeature "accelerated WAMP serialization support" \
- "dev-python/msgpack dev-python/ujson dev-python/cbor2 dev-python/flatbuffers dev-python/py-ubjson"
- optfeature "TLS transport encryption" \
- "dev-python/pyopenssl dev-python/pynacl dev-python/pytrie dev-python/qrcode dev-python/service_identity"
- optfeature "WAMP-SCRAM authentication" \
- "dev-python/cffi dev-python/argon2-cffi dev-python/passlib"
- optfeature "native SIMD acceleration" "dev-python/cffi"
-
- python_foreach_impl twisted-regen-cache
-}
-
-pkg_postrm() {
- python_foreach_impl twisted-regen-cache
-}
diff --git a/dev-python/dask/Manifest b/dev-python/dask/Manifest
index c30a5b75c32d..18a5cd807d74 100644
--- a/dev-python/dask/Manifest
+++ b/dev-python/dask/Manifest
@@ -1,4 +1,2 @@
-DIST dask-2022.7.1.gh.tar.gz 8749841 BLAKE2B 9c4db1adbfd9ea796db10855f98b972104415e66d5d01800e139d9475ceaedb850867a47d8af8e538856bcf21f805d6f24146a8407968e96c0084f81ce5e323d SHA512 459c20cdb8da523020483212cc48fdf0830915ce6cbd48511ccb02e3a1a5c4c8e1ce9bafb09e1288ec7f89d9dc8da36cd7fe75da1441cb3e5b31521720fd0708
-DIST dask-2022.8.0.gh.tar.gz 8751904 BLAKE2B 057cbb0f50684413b6eaaf9b25b1be5556d62ccb81258427c8504c861d156b49ec83957199758d6794406c06b1bc6d7724163ca975e5970ddd05505789392738 SHA512 dc455596500cfdcd38a71e256606cea4d41f96dd947b8fcf652cc0f8fff51145bfdd19eae8697472b6f5bb050c0525e422de53bf9e8c549310b1f26931491052
DIST dask-2022.8.1.gh.tar.gz 8759920 BLAKE2B bc84706772072a1df2a1c0089f9bc1332a0110430f1c6f2e120e76f565b0666fb0f7f9ac6c25da356f2825e0cd8dfa5b2ef7998d3a231aefc41a5ce09980a22a SHA512 ba042cf069b88c752a371a6ea2df69dd75dabd934befa2d91f4e1e754ad197a14369935452125a621d14527e0d6a0a3a2abdee8f127aa05c6c812116cb27dc3e
DIST dask-2022.9.0.gh.tar.gz 8762083 BLAKE2B 60c7a37124b61b49fc06a754b5842695fd63d234e087ec44a40793aeb330034e0d5e3caaedd239fd498a9b01c2bc450f62cdc22848bfd654bfdab6a07d9be7de SHA512 a88f71b9e8cdc69ce3a4babbc2434f830110df284d56eec37cadb6b81add3cd5f2e751ea5e9b390d112d16ee0952c296368851889fec202e3601c2fcf8f52a97
diff --git a/dev-python/dask/dask-2022.7.1.ebuild b/dev-python/dask/dask-2022.7.1.ebuild
deleted file mode 100644
index ee1d824a9287..000000000000
--- a/dev-python/dask/dask-2022.7.1.ebuild
+++ /dev/null
@@ -1,58 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{7,8,9,10} )
-
-inherit distutils-r1
-
-DESCRIPTION="Task scheduling and blocked algorithms for parallel processing"
-HOMEPAGE="
- https://www.dask.org/
- https://github.com/dask/dask/
- https://pypi.org/project/dask/
-"
-SRC_URI="
- https://github.com/dask/dask/archive/${PV}.tar.gz -> ${P}.gh.tar.gz
-"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86 ~amd64-linux ~x86-linux"
-
-RDEPEND="
- >=dev-python/cloudpickle-0.2.2[${PYTHON_USEDEP}]
- >=dev-python/fsspec-0.6.0[${PYTHON_USEDEP}]
- >=dev-python/numpy-1.15.1[${PYTHON_USEDEP}]
- >=dev-python/pandas-0.25.0[${PYTHON_USEDEP}]
- >=dev-python/packaging-20.0[${PYTHON_USEDEP}]
- >=dev-python/partd-0.3.10[${PYTHON_USEDEP}]
- dev-python/psutil[${PYTHON_USEDEP}]
- >=dev-python/pyyaml-5.3.1[${PYTHON_USEDEP}]
- >=dev-python/toolz-0.8.2[${PYTHON_USEDEP}]
-"
-BDEPEND="
- dev-python/toolz[${PYTHON_USEDEP}]
- test? (
- dev-python/moto[${PYTHON_USEDEP}]
- dev-python/numexpr[${PYTHON_USEDEP}]
- dev-python/pytest-rerunfailures[${PYTHON_USEDEP}]
- dev-python/scipy[${PYTHON_USEDEP}]
- )
-"
-
-distutils_enable_tests pytest
-
-EPYTEST_DESELECT=(
- # another test relying on -Werror
- "dask/array/tests/test_overlap.py::test_map_overlap_no_depth[None]"
- # TODO
- dask/array/tests/test_reductions.py::test_mean_func_does_not_warn
- dask/tests/test_config.py::test__get_paths
-)
-
-python_test() {
- epytest -p no:flaky -m "not network"
-}
diff --git a/dev-python/dask/dask-2022.8.0.ebuild b/dev-python/dask/dask-2022.8.0.ebuild
deleted file mode 100644
index 6ab4fc5376db..000000000000
--- a/dev-python/dask/dask-2022.8.0.ebuild
+++ /dev/null
@@ -1,59 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{7,8,9,10} )
-
-inherit distutils-r1
-
-DESCRIPTION="Task scheduling and blocked algorithms for parallel processing"
-HOMEPAGE="
- https://www.dask.org/
- https://github.com/dask/dask/
- https://pypi.org/project/dask/
-"
-SRC_URI="
- https://github.com/dask/dask/archive/${PV}.tar.gz -> ${P}.gh.tar.gz
-"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86 ~amd64-linux ~x86-linux"
-
-RDEPEND="
- >=dev-python/cloudpickle-0.2.2[${PYTHON_USEDEP}]
- >=dev-python/fsspec-0.6.0[${PYTHON_USEDEP}]
- >=dev-python/numpy-1.15.1[${PYTHON_USEDEP}]
- >=dev-python/pandas-0.25.0[${PYTHON_USEDEP}]
- >=dev-python/packaging-20.0[${PYTHON_USEDEP}]
- >=dev-python/partd-0.3.10[${PYTHON_USEDEP}]
- dev-python/psutil[${PYTHON_USEDEP}]
- >=dev-python/pyyaml-5.3.1[${PYTHON_USEDEP}]
- >=dev-python/toolz-0.8.2[${PYTHON_USEDEP}]
-"
-BDEPEND="
- dev-python/toolz[${PYTHON_USEDEP}]
- test? (
- dev-python/moto[${PYTHON_USEDEP}]
- dev-python/numexpr[${PYTHON_USEDEP}]
- dev-python/pytest-rerunfailures[${PYTHON_USEDEP}]
- dev-python/scipy[${PYTHON_USEDEP}]
- )
-"
-
-distutils_enable_tests pytest
-
-EPYTEST_DESELECT=(
- # another test relying on -Werror
- "dask/array/tests/test_overlap.py::test_map_overlap_no_depth[None]"
- # TODO
- dask/array/tests/test_reductions.py::test_mean_func_does_not_warn
- dask/tests/test_config.py::test__get_paths
- dask/array/tests/test_linalg.py::test_solve_assume_a
-)
-
-python_test() {
- epytest -p no:flaky -m "not network"
-}
diff --git a/dev-python/google-auth/Manifest b/dev-python/google-auth/Manifest
index 596b46250211..fa703c2a6c23 100644
--- a/dev-python/google-auth/Manifest
+++ b/dev-python/google-auth/Manifest
@@ -1,3 +1,2 @@
DIST google-auth-2.10.0.tar.gz 205591 BLAKE2B e5b6ea1a65afc42318dc26ed5fa18de19232ca85e6da5be47c45b41861595f763b42bfdd92aaa63d20bbbf76fc1447dbeb7d88424ae5f82ce23ea9f875d04700 SHA512 91cf5391606b896691a9ae1489391bb0545c461172439c3011fc56c575f4a67341eb25a41faec437cb82fc0a2835adc95006327e3460591137238721a6eddd50
DIST google-auth-2.11.0.tar.gz 205568 BLAKE2B 76f43804c117006141e46291eaa35b49e73f4eec81307b7c3c6fdf82faf1a1f3101ef1a652c5dff05ca6686ded0859c6a3bee8d38cd584fd5cacef9598aae9b1 SHA512 0b2c8653184d95b1f0981326721a8604bee6737e2e4fb68c12d695c74e03406e6d189b00740c34ee74d6ae4032581bd099018f8eaf1d65759e4c5fa4127305cf
-DIST google-auth-2.9.1.tar.gz 205219 BLAKE2B dd4d3c690a4ced2d4757167497689283b7fd8e9891948f0f14565fffe0d0c9eb62c4356a5715d10d02fefd1183bda5dfe3b1e7a7caa42c8d85c39c5875fd9730 SHA512 37830c708613f3a41c90658f220c2cd7ca45824c7e4741fa3b1754e635f6e0773daff05f770ad0836caefe082d6b517b5bd5b2a789cdbe03de9fdbca9a972f7f
diff --git a/dev-python/google-auth/google-auth-2.9.1.ebuild b/dev-python/google-auth/google-auth-2.9.1.ebuild
deleted file mode 100644
index eacb2920974f..000000000000
--- a/dev-python/google-auth/google-auth-2.9.1.ebuild
+++ /dev/null
@@ -1,58 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{7,8,9,10} )
-
-inherit distutils-r1
-
-DESCRIPTION="Google Authentication Library"
-HOMEPAGE="
- https://github.com/googleapis/google-auth-library-python/
- https://pypi.org/project/google-auth/
-"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-LICENSE="Apache-2.0"
-SLOT="0"
-KEYWORDS="amd64 ~arm ~arm64 x86"
-
-RDEPEND="
- <dev-python/cachetools-6.0.0[${PYTHON_USEDEP}]
- >=dev-python/pyasn1-0.1.7[${PYTHON_USEDEP}]
- >=dev-python/pyasn1-modules-0.2.1[${PYTHON_USEDEP}]
- >=dev-python/rsa-3.1.4[${PYTHON_USEDEP}]
- dev-python/six[${PYTHON_USEDEP}]
- !dev-python/namespace-google
-"
-BDEPEND="
- test? (
- dev-python/cryptography[${PYTHON_USEDEP}]
- dev-python/flask[${PYTHON_USEDEP}]
- dev-python/freezegun[${PYTHON_USEDEP}]
- dev-python/grpcio[${PYTHON_USEDEP}]
- dev-python/mock[${PYTHON_USEDEP}]
- dev-python/moto[${PYTHON_USEDEP}]
- dev-python/pyopenssl[${PYTHON_USEDEP}]
- dev-python/pytest-localserver[${PYTHON_USEDEP}]
- dev-python/pyu2f[${PYTHON_USEDEP}]
- dev-python/requests[${PYTHON_USEDEP}]
- dev-python/responses[${PYTHON_USEDEP}]
- dev-python/urllib3[${PYTHON_USEDEP}]
- )
-"
-
-distutils_enable_tests pytest
-
-EPYTEST_IGNORE=(
- # these are compatibility tests with oauth2client
- # disable them to unblock removal of that package
- tests/test__oauth2client.py
-)
-
-python_compile() {
- distutils-r1_python_compile
- find "${BUILD_DIR}" -name '*.pth' -delete || die
-}
diff --git a/dev-python/humanize/Manifest b/dev-python/humanize/Manifest
index b317a6ac63d9..ff2a404fbbb7 100644
--- a/dev-python/humanize/Manifest
+++ b/dev-python/humanize/Manifest
@@ -1,2 +1 @@
-DIST humanize-4.2.3.tar.gz 75390 BLAKE2B b700c7f6da3ea94062ffb0b74fdd8940460c6017c30499b34678750d5f86b4669542c65291f7a8e1c57b446cfc43efa88324c680fc3f817b7bc5018c3e275e50 SHA512 008acdafd2b811da767fdff67c3b12f7ba333fc35b0d51c4b0edc0162659b8ac25dc54ba30f2a266f6a422990dc2522b6c9e017b9a73e8262ed414d63e0c4308
DIST humanize-4.3.0.tar.gz 78035 BLAKE2B 03cea639879165453becc41f62e7b6e34a62ac3a74c37141e0c3f7e9d855b2727710ab5ac231a3829d03c413b297449dccbfc8b804b3f5ddcd402dd813adbf57 SHA512 b8713fa9ec2c2210f93e06436a5bef390937b85ccd0bc95520e53d5c0f49354b94a7957ef50dd9e391d8377d1faf43003c47028b19cef42885fd083cbda1ac46
diff --git a/dev-python/humanize/humanize-4.2.3.ebuild b/dev-python/humanize/humanize-4.2.3.ebuild
deleted file mode 100644
index a9fc518d372a..000000000000
--- a/dev-python/humanize/humanize-4.2.3.ebuild
+++ /dev/null
@@ -1,29 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
-
-inherit distutils-r1
-
-DESCRIPTION="Common humanization utilities"
-HOMEPAGE="
- https://github.com/python-humanize/humanize/
- https://pypi.org/project/humanize/
-"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="amd64 x86"
-
-BDEPEND="
- dev-python/setuptools_scm[${PYTHON_USEDEP}]
- test? (
- dev-python/freezegun[${PYTHON_USEDEP}]
- )
-"
-
-distutils_enable_tests pytest
diff --git a/dev-python/identify/Manifest b/dev-python/identify/Manifest
index 32c0dcf601db..8077a26e10b4 100644
--- a/dev-python/identify/Manifest
+++ b/dev-python/identify/Manifest
@@ -1,3 +1,2 @@
-DIST identify-2.5.2.gh.tar.gz 101399 BLAKE2B f0ef048c6543b32016ad47a84e4b4b049a88424e496b159ce6ec1a1358172a87849e132b045a7345e818b02aee359e6d9458c458430a4d5d2b9f918cba685ed7 SHA512 72aaf406e5aa7acc83189820c389e82e90cf775541013e4ad91e5d25abdecd8526d1c47d203baa8ab8e5e028836da755a7045e74fded7e8e3167397557d4b1f0
DIST identify-2.5.3.gh.tar.gz 101397 BLAKE2B 8782a4dfcea2d84facec9fefac8c7241c978ca1f494aa3e0602171dc017b41d24545ec7a3537b07a5e9962edcc4813fa4f45f76d807ba8ba69243041bc777d1b SHA512 d6cc5737b119498af5fb3cc9478881960b4d9532eec552622e942292ec3f1c75182f50ccc94fe7e1bb8993525c5e50fcdfd58881a9226da52fbe5feb3b83a8c3
DIST identify-2.5.5.gh.tar.gz 101461 BLAKE2B b3a4dc2273435cf9244af64b08b9a9a922025f7d32f479fb2641fcdd9f8a05d2778db126104b1e3b765b82af7ecc1660163de1f71098900296135cd1ccd129c5 SHA512 e02688805310a4f92d0435af562383a10297afa7fc468e44f73be40118c73e2ceac1b4ba7525c375fd0b671ea2700ba66307115c78558a370c525de8cba33c83
diff --git a/dev-python/identify/identify-2.5.2.ebuild b/dev-python/identify/identify-2.5.2.ebuild
deleted file mode 100644
index 6b1e5d8f2709..000000000000
--- a/dev-python/identify/identify-2.5.2.ebuild
+++ /dev/null
@@ -1,29 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{7,8,9,10} )
-
-inherit distutils-r1
-
-DESCRIPTION="File identification library for Python"
-HOMEPAGE="
- https://github.com/pre-commit/identify/
- https://pypi.org/project/identify/
-"
-SRC_URI="
- https://github.com/pre-commit/${PN}/archive/v${PV}.tar.gz
- -> ${P}.gh.tar.gz
-"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="amd64 ~hppa ~ppc ~ppc64 ~riscv x86"
-
-RDEPEND="
- dev-python/ukkonen[${PYTHON_USEDEP}]
-"
-
-distutils_enable_tests pytest
diff --git a/dev-python/mkdocs-redirects/Manifest b/dev-python/mkdocs-redirects/Manifest
index dfbc428a3796..b7b71b9ecdb5 100644
--- a/dev-python/mkdocs-redirects/Manifest
+++ b/dev-python/mkdocs-redirects/Manifest
@@ -1,3 +1,2 @@
-DIST mkdocs-redirects-1.0.4.tar.gz 7028 BLAKE2B b1f266b2bd68ecaf722d28f3fde7f5ab6eb51c800027d09838282f12f8705d2f9ed6f3d45c809ec575e73c70a05ab23d0700f0d6e15a0f36e1fa2f8becabb5b0 SHA512 965989351c62ad83dab4f02526ad118f90d3b9eca9863189565a04d7013aa5de0fb2ac1a8480f308e72aef125ecd74c53a7d2db0b279835074272d30c9eb87ab
DIST mkdocs-redirects-1.0.5.gh.tar.gz 6624 BLAKE2B 2f974dcf2dc438d3d8e2289793150b0a5a0394027552a8f3878f83fc0ab78b0e1c38f29bcd155adccf40e5259e93e81b419741784584f924f5eb18a0059f3107 SHA512 3365f19792438262528236cb9531f12ef31bf368d849387855a58b6427cbe7be6b55292fe5174804f42b29acf0a921ce9987e8b3a7ed3870444fcf94d4a52df6
DIST mkdocs-redirects-1.1.0.gh.tar.gz 7000 BLAKE2B 7bb98549613926fd7ff3fd9ddf6469703589bb38051358baffc2989bc496df38b270f859f9f40a21d688a7a453d0a4d1532af339d4e43d1144324729ab84824f SHA512 4ccda56bc26fd005ed0a1b0651c65883ad1f87912fc1c61fa9089a0e84bf1d124e943d1fae6f5bac4a521676419dcd8d409524926334f2ea5ae8b0d2f2d4ee52
diff --git a/dev-python/mkdocs-redirects/mkdocs-redirects-1.0.4-r1.ebuild b/dev-python/mkdocs-redirects/mkdocs-redirects-1.0.4-r1.ebuild
deleted file mode 100644
index 4fc0c47aa6f4..000000000000
--- a/dev-python/mkdocs-redirects/mkdocs-redirects-1.0.4-r1.ebuild
+++ /dev/null
@@ -1,28 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{7,8,9,10} )
-DISTUTILS_USE_PEP517=setuptools
-inherit distutils-r1
-
-DESCRIPTION="Plugin for Mkdocs page redirects"
-HOMEPAGE="
- https://github.com/mkdocs/mkdocs-redirects
- https://pypi.org/project/mkdocs-redirects/
-"
-SRC_URI="https://github.com/mkdocs/mkdocs-redirects/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="amd64 ~riscv x86"
-
-RDEPEND="
- >=dev-python/mkdocs-1.0.4[${PYTHON_USEDEP}]
- <dev-python/mkdocs-2[${PYTHON_USEDEP}]
- dev-python/six[${PYTHON_USEDEP}]
- dev-python/twine[${PYTHON_USEDEP}]
-"
-
-distutils_enable_tests pytest
diff --git a/dev-python/openstackdocstheme/Manifest b/dev-python/openstackdocstheme/Manifest
index b230a0860859..bd5e3eb8b40e 100644
--- a/dev-python/openstackdocstheme/Manifest
+++ b/dev-python/openstackdocstheme/Manifest
@@ -1,2 +1 @@
-DIST openstackdocstheme-2.4.0.tar.gz 1255985 BLAKE2B 6066ef5b4fc50093dd7a55d4e7824be9495f8cc9af5f20e1ee7ee5bacea1deb5d1e1a08e408470ba5923de9ece2658dc187bef9c6d5cb767d4c492543bbdc3c1 SHA512 34bc69fc3455c013ba05e6662ea362f0b9ac4070a9e70b34987846eec84197069622fbddd295251d2a363f08303c5a2e9b998b01207bdf6891ca68aa33682c78
DIST openstackdocstheme-3.0.0.tar.gz 1256011 BLAKE2B ad00a9e5dc0902d99bd47ffbd7cd2cf7900a45f880744293871a869d03dfa449a91402e3eb50071e35c60d78c7858787fa3ae234f96e19f34cc40a2022069ec5 SHA512 0e4c5ca3f43e701692bb56d4e0823b52c55c49e9b4144d3920830903e178522f414930c0a253be415cd6d08534205f2d8e8fac107513bc32d1f667e8559a8c2f
diff --git a/dev-python/openstackdocstheme/openstackdocstheme-2.4.0.ebuild b/dev-python/openstackdocstheme/openstackdocstheme-2.4.0.ebuild
deleted file mode 100644
index 0cd2d533ddc7..000000000000
--- a/dev-python/openstackdocstheme/openstackdocstheme-2.4.0.ebuild
+++ /dev/null
@@ -1,25 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{7,8,9,10} )
-
-inherit distutils-r1
-
-DESCRIPTION="Theme and extension support for Sphinx documentation"
-HOMEPAGE="https://docs.openstack.org/openstackdocstheme/latest/"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-LICENSE="Apache-2.0"
-SLOT="0"
-KEYWORDS="~alpha amd64 ~arm arm64 ~ia64 ~ppc64 ~riscv ~s390 x86"
-
-BDEPEND="
- >dev-python/pbr-2.1.0[${PYTHON_USEDEP}]
-"
-RDEPEND="
- ${BDEPEND}
- >=dev-python/dulwich-0.15.0[${PYTHON_USEDEP}]
-"
diff --git a/dev-python/oslo-concurrency/Manifest b/dev-python/oslo-concurrency/Manifest
index e2ef7144db99..f44c8b0de32d 100644
--- a/dev-python/oslo-concurrency/Manifest
+++ b/dev-python/oslo-concurrency/Manifest
@@ -1,2 +1 @@
-DIST oslo.concurrency-4.5.1.tar.gz 59126 BLAKE2B 61f509b4ce76cd036b695bb5ad744374e029239a63a629a4b96d44c8ba29150095fe9d57000367c4d07dc7c358ef61cfa4868a2347f206327093ad32ffb85955 SHA512 88319915c90befb01a275666b4a760357c1e72f04d5faf27ab9c67629ecbf2dd3a73d077f3c57435231b55aa777a9642f26e91cc4cb27ad56eb801b2b98eca48
DIST oslo.concurrency-5.0.0.tar.gz 59343 BLAKE2B 412fba38e0281b2c6d7b27182d159c99730a22ec3400586481f234998cd2f446de5cdd84aaa3abb1cdd93eb9eff1294c87ce51e165dc49caa078e69932ecd19b SHA512 570acbaf599a8a177ba6bc7c009edb43db5e077c06bee5c5895d81944daf78c8dde197bd9af730b17b5075fdaf527252aa44ea0edb79d73e16714582645afb7e
diff --git a/dev-python/oslo-concurrency/oslo-concurrency-4.5.1.ebuild b/dev-python/oslo-concurrency/oslo-concurrency-4.5.1.ebuild
deleted file mode 100644
index 12c8768d5236..000000000000
--- a/dev-python/oslo-concurrency/oslo-concurrency-4.5.1.ebuild
+++ /dev/null
@@ -1,51 +0,0 @@
-# Copyright 2021-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{7,8,9,10} )
-
-inherit distutils-r1
-
-DESCRIPTION="Oslo Concurrency library"
-HOMEPAGE="https://pypi.org/project/oslo.concurrency/
- https://github.com/openstack/oslo.concurrency"
-SRC_URI="mirror://pypi/o/${PN/-/.}/${PN/-/.}-${PV}.tar.gz"
-S="${WORKDIR}/${PN/-/.}-${PV}"
-
-LICENSE="Apache-2.0"
-SLOT="0"
-KEYWORDS="amd64 ~arm arm64 ~riscv x86"
-
-RDEPEND="
- >=dev-python/pbr-2.1.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-config-5.2.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-i18n-3.15.3[${PYTHON_USEDEP}]
- >=dev-python/oslo-utils-3.33.0[${PYTHON_USEDEP}]
- >=dev-python/fasteners-0.7.0[${PYTHON_USEDEP}]
-"
-BDEPEND="
- >=dev-python/pbr-2.1.0[${PYTHON_USEDEP}]
- test? (
- >=dev-python/oslotest-3.2.0[${PYTHON_USEDEP}]
- >=dev-python/fixtures-3.0.0[${PYTHON_USEDEP}]
- $(python_gen_cond_dep '
- >=dev-python/eventlet-0.19.0[${PYTHON_USEDEP}]
- ' 3.8 3.9)
- )
-"
-
-distutils_enable_tests unittest
-
-python_compile() {
- distutils-r1_python_compile
- if ! has "${EPYTHON}" python3.{8..9}; then
- find "${BUILD_DIR}"/install -name '*eventlet*.py' -delete || die
- fi
-}
-
-python_test() {
- cd "${BUILD_DIR}/install$(python_get_sitedir)" || die
- eunittest
-}
diff --git a/dev-python/pdm-pep517/Manifest b/dev-python/pdm-pep517/Manifest
index db60da482c94..0cba3a1dcd2d 100644
--- a/dev-python/pdm-pep517/Manifest
+++ b/dev-python/pdm-pep517/Manifest
@@ -1,4 +1 @@
-DIST pdm-pep517-1.0.1.gh.tar.gz 307357 BLAKE2B f833179b0ea011c4304625f08d3eca85b17163d4af6144f72e6faa2fe1091f9607f53ae051fca4e837009c3132ad6f06ae69cc5288ca8731ffb1ff2ef555d0d0 SHA512 7d90829a351e95f7b53f53d356a60cb170036059f5e6311df46989253b33f126f384a93cd6aa22c95b1ec7aa501e13773ccafabbb41e5237e84537b73dc43f58
-DIST pdm-pep517-1.0.2.gh.tar.gz 307938 BLAKE2B 711cc77c4ec4a3002557b5537c931215254d6fd724bf80f5457750100d55aba580b0f5fdbf8b17a31e5b02b42a94b62bc72eb99693fb59c3ab76364666b51b15 SHA512 bb827a6130299acab18714c7380f81fa530b95e3bc1e78bca810c116472269f050df45d04ef69d90a1ad96dd6bc965a50edc01bc9c429b96eefb76d62c66b8ae
-DIST pdm-pep517-1.0.3.gh.tar.gz 314957 BLAKE2B d0beff961b3f324c4d4c74943387e82cbeca90e5441391347b2ea06639af9965ea27426cab9e8dbbdceb296eb1461319fb375a3e078d673bbdf386b578b8f35c SHA512 ca9983e95f803243fb04b1add424449adfac472a94973013f669440d18d2118bdaf6610830f686cc700e86973935df26a7fea0ceed415b2c7604330de3325d05
DIST pdm-pep517-1.0.4.gh.tar.gz 314677 BLAKE2B dc6fad5bf6bd4aa6d9d490c6fb1df0d1a1543ae93f90ac4d53bbd515de6f6582a4fd032cc5c67aeebf71755fec6aac3b5a462a18eb08087c6a4da279e3c989ad SHA512 4edd016873c054f20efc39b8a044c2ff5dee70509c45ba1227e6982043dabb5ed0353afef4af73c88106ffe5a2c27f569077448fb27a0d58169710d2c6573c2f
diff --git a/dev-python/pdm-pep517/pdm-pep517-1.0.1.ebuild b/dev-python/pdm-pep517/pdm-pep517-1.0.1.ebuild
deleted file mode 100644
index 773c078ae24f..000000000000
--- a/dev-python/pdm-pep517/pdm-pep517-1.0.1.ebuild
+++ /dev/null
@@ -1,58 +0,0 @@
-# Copyright 2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=standalone
-PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
-
-inherit distutils-r1
-
-DESCRIPTION="A PEP 517 backend for PDM that supports PEP 621 metadata"
-HOMEPAGE="
- https://pypi.org/project/pdm-pep517/
- https://github.com/pdm-project/pdm-pep517/
-"
-SRC_URI="
- https://github.com/pdm-project/pdm-pep517/archive/${PV}.tar.gz
- -> ${P}.gh.tar.gz
-"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64 ~arm64 ~x86"
-
-RDEPEND="
- >=dev-python/cerberus-1.3.4[${PYTHON_USEDEP}]
- dev-python/license-expression[${PYTHON_USEDEP}]
- >=dev-python/packaging-21.0[${PYTHON_USEDEP}]
- >=dev-python/tomli-2[${PYTHON_USEDEP}]
- dev-python/tomli-w[${PYTHON_USEDEP}]
-"
-BDEPEND="
- ${RDEPEND}
- test? (
- dev-vcs/git
- )
-"
-# setuptools are used to build C extensions
-RDEPEND+="
- dev-python/setuptools[${PYTHON_USEDEP}]
-"
-
-distutils_enable_tests pytest
-
-src_prepare() {
- rm -r pdm/pep517/_vendor || die
- find -name '*.py' -exec sed \
- -e 's:from pdm\.pep517\._vendor\.:from :' \
- -e 's:from pdm\.pep517\._vendor ::' \
- -i {} + || die
- distutils-r1_src_prepare
-}
-
-src_test() {
- git config --global user.email "test@example.com" || die
- git config --global user.name "Test User" || die
- distutils-r1_src_test
-}
diff --git a/dev-python/pdm-pep517/pdm-pep517-1.0.2.ebuild b/dev-python/pdm-pep517/pdm-pep517-1.0.2.ebuild
deleted file mode 100644
index 773c078ae24f..000000000000
--- a/dev-python/pdm-pep517/pdm-pep517-1.0.2.ebuild
+++ /dev/null
@@ -1,58 +0,0 @@
-# Copyright 2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=standalone
-PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
-
-inherit distutils-r1
-
-DESCRIPTION="A PEP 517 backend for PDM that supports PEP 621 metadata"
-HOMEPAGE="
- https://pypi.org/project/pdm-pep517/
- https://github.com/pdm-project/pdm-pep517/
-"
-SRC_URI="
- https://github.com/pdm-project/pdm-pep517/archive/${PV}.tar.gz
- -> ${P}.gh.tar.gz
-"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64 ~arm64 ~x86"
-
-RDEPEND="
- >=dev-python/cerberus-1.3.4[${PYTHON_USEDEP}]
- dev-python/license-expression[${PYTHON_USEDEP}]
- >=dev-python/packaging-21.0[${PYTHON_USEDEP}]
- >=dev-python/tomli-2[${PYTHON_USEDEP}]
- dev-python/tomli-w[${PYTHON_USEDEP}]
-"
-BDEPEND="
- ${RDEPEND}
- test? (
- dev-vcs/git
- )
-"
-# setuptools are used to build C extensions
-RDEPEND+="
- dev-python/setuptools[${PYTHON_USEDEP}]
-"
-
-distutils_enable_tests pytest
-
-src_prepare() {
- rm -r pdm/pep517/_vendor || die
- find -name '*.py' -exec sed \
- -e 's:from pdm\.pep517\._vendor\.:from :' \
- -e 's:from pdm\.pep517\._vendor ::' \
- -i {} + || die
- distutils-r1_src_prepare
-}
-
-src_test() {
- git config --global user.email "test@example.com" || die
- git config --global user.name "Test User" || die
- distutils-r1_src_test
-}
diff --git a/dev-python/pdm-pep517/pdm-pep517-1.0.3.ebuild b/dev-python/pdm-pep517/pdm-pep517-1.0.3.ebuild
deleted file mode 100644
index f764745cb7df..000000000000
--- a/dev-python/pdm-pep517/pdm-pep517-1.0.3.ebuild
+++ /dev/null
@@ -1,58 +0,0 @@
-# Copyright 2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=standalone
-PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
-
-inherit distutils-r1
-
-DESCRIPTION="A PEP 517 backend for PDM that supports PEP 621 metadata"
-HOMEPAGE="
- https://pypi.org/project/pdm-pep517/
- https://github.com/pdm-project/pdm-pep517/
-"
-SRC_URI="
- https://github.com/pdm-project/pdm-pep517/archive/${PV}.tar.gz
- -> ${P}.gh.tar.gz
-"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="amd64 ~arm64 ~x86"
-
-RDEPEND="
- >=dev-python/cerberus-1.3.4[${PYTHON_USEDEP}]
- dev-python/license-expression[${PYTHON_USEDEP}]
- >=dev-python/packaging-21.0[${PYTHON_USEDEP}]
- >=dev-python/tomli-2[${PYTHON_USEDEP}]
- dev-python/tomli-w[${PYTHON_USEDEP}]
-"
-BDEPEND="
- ${RDEPEND}
- test? (
- dev-vcs/git
- )
-"
-# setuptools are used to build C extensions
-RDEPEND+="
- dev-python/setuptools[${PYTHON_USEDEP}]
-"
-
-distutils_enable_tests pytest
-
-src_prepare() {
- rm -r pdm/pep517/_vendor || die
- find -name '*.py' -exec sed \
- -e 's:from pdm\.pep517\._vendor\.:from :' \
- -e 's:from pdm\.pep517\._vendor ::' \
- -i {} + || die
- distutils-r1_src_prepare
-}
-
-src_test() {
- git config --global user.email "test@example.com" || die
- git config --global user.name "Test User" || die
- distutils-r1_src_test
-}
diff --git a/dev-python/pylibmc/Manifest b/dev-python/pylibmc/Manifest
index 48e52782dbf8..499cf86f8fc6 100644
--- a/dev-python/pylibmc/Manifest
+++ b/dev-python/pylibmc/Manifest
@@ -1,4 +1,2 @@
-DIST pylibmc-1.6.1-no-nose.patch 26090 BLAKE2B 160e5b58107dcea0354462370eeeb12739c7fd1549e1c64ddf1fe2451654e50c1408505985eb6a7150ce60185bc7acebba7a20c6444615bef8c6991debfba4cc SHA512 84fb37505def84caaacb1343032d18bd644f5072e6ce7a2d6e88bc33bd2dedc8b303f4cf2a9b57b32c3c4b8e01bef1bebcc09ecb525568c928aed326bee2cace
-DIST pylibmc-1.6.1.tar.gz 72061 BLAKE2B ebaa6f9dfc341d862a8b46bbbf0db1420ff400cb40390f7bee6bf198ff941ad7967b578040ffe1209721ea84a163a39649108a2a23f3dadc2d579db740b2ccf3 SHA512 a3874435389486b29bab5f1d29e5c179d67655d90995bb27fcb7cd46ce7eb3b60117b94f901602f8a65dc0e587d5f8edfcf15e259effd439411adb58ddb7065e
DIST pylibmc-1.6.2.gh.tar.gz 71581 BLAKE2B 4fc9216150e122b6d80537184422b52c0a518f5b9fbcf5b54f794fde33d5ac6fcd474e08f71b8d71f0443351e91ea5d8ac2c24e94bd568605cf1183259394091 SHA512 1a1575fd5c3644d53e0ed49818bd958e0e28fe0354f41578c944b260f402f1b51a74baca8f98b32adfd0024e61ec8df1795c6ca7363509e35e4f34a907de063e
DIST pylibmc-1.6.3.gh.tar.gz 72154 BLAKE2B 3367651d355cb9c6693d8162e740c855c8f84f6b2a5f54ba5fb7f505474263650b46d5ed04c11af2199a7b40c6d4cf0d13a63d2d76a395ff30570a4a3e5259ec SHA512 4bc85d305410f775a39d8d3f64a7e97538ed6ae890cd64833e5bff92fbb60fe8ebc4cc7956df015f6590eb55b7009bd36b299dc636ee0da7f71ed51cc98f3012
diff --git a/dev-python/pylibmc/files/pylibmc-1.6.1-py311.patch b/dev-python/pylibmc/files/pylibmc-1.6.1-py311.patch
deleted file mode 100644
index c687f90fb658..000000000000
--- a/dev-python/pylibmc/files/pylibmc-1.6.1-py311.patch
+++ /dev/null
@@ -1,29 +0,0 @@
-From 22854a4ba8f7e926099219c107104723089bcad8 Mon Sep 17 00:00:00 2001
-From: Ludvig Ericson <ludvig@lericson.se>
-Date: Mon, 29 Jun 2020 14:59:36 +0200
-Subject: [PATCH] =?UTF-8?q?2020:=20Do=20not=20pass=20=E2=80=98U=E2=80=99?=
- =?UTF-8?q?=20flag=20to=20open?=
-MIME-Version: 1.0
-Content-Type: text/plain; charset=UTF-8
-Content-Transfer-Encoding: 8bit
-
----
- setup.py | 4 ++--
- 1 file changed, 2 insertions(+), 2 deletions(-)
-
-diff --git a/setup.py b/setup.py
-index 9bea257..89871ea 100644
---- a/setup.py
-+++ b/setup.py
-@@ -95,9 +95,9 @@ def append_env(L, e):
- s.write(line + "\n")
- sys.exit(0)
-
--with open("README.rst", "U", encoding="utf-8") as r:
-+with open("README.rst", encoding="utf-8") as r:
- readme_text = r.read()
--with open("src/pylibmc-version.h", "U", encoding="utf-8") as r:
-+with open("src/pylibmc-version.h", encoding="utf-8") as r:
- version = r.read().strip().split("\"")[1]
-
- setup(
diff --git a/dev-python/pylibmc/pylibmc-1.6.1-r2.ebuild b/dev-python/pylibmc/pylibmc-1.6.1-r2.ebuild
deleted file mode 100644
index 38c4945f973b..000000000000
--- a/dev-python/pylibmc/pylibmc-1.6.1-r2.ebuild
+++ /dev/null
@@ -1,68 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
-
-inherit distutils-r1
-
-DESCRIPTION="Libmemcached wrapper written as a Python extension"
-HOMEPAGE="
- https://sendapatch.se/projects/pylibmc/
- https://pypi.org/project/pylibmc/
- https://github.com/lericson/pylibmc/
-"
-SRC_URI="
- https://github.com/lericson/pylibmc/archive/${PV}.tar.gz
- -> ${P}.tar.gz
- https://github.com/lericson/pylibmc/pull/263.patch
- -> ${P}-no-nose.patch
-"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 ~ia64 ppc ~ppc64 x86"
-
-DEPEND="
- >=dev-libs/libmemcached-0.32
-"
-RDEPEND="
- ${DEPEND}
-"
-BDEPEND="
- test? (
- net-misc/memcached
- )
-"
-
-PATCHES=(
- "${FILESDIR}/pylibmc-1.6.1-fix-test-failures-r1.patch"
- "${FILESDIR}/pylibmc-1.6.1-py311.patch"
- "${DISTDIR}/${P}-no-nose.patch"
-)
-
-distutils_enable_sphinx docs
-distutils_enable_tests pytest
-
-# needed for docs
-export PYLIBMC_DIR=.
-
-src_test() {
- local -x MEMCACHED_PORT=11219
- memcached -d -p "${MEMCACHED_PORT}" -u nobody -l localhost \
- -P "${T}/m.pid" || die
- distutils-r1_src_test
- kill "$(<"${T}/m.pid")" || die
-}
-
-python_test() {
- local EPYTEST_DESELECT=(
- # these require "AmazonElastiCache" running
- tests/test_autoconf.py
- )
-
- epytest --doctest-modules --doctest-glob='doctests.txt' \
- src/pylibmc tests
-}
diff --git a/dev-python/pyxDamerauLevenshtein/Manifest b/dev-python/pyxDamerauLevenshtein/Manifest
index 0ac9fe91428d..30d65685f37c 100644
--- a/dev-python/pyxDamerauLevenshtein/Manifest
+++ b/dev-python/pyxDamerauLevenshtein/Manifest
@@ -1,2 +1 @@
-DIST pyxDamerauLevenshtein-1.7.0.tar.gz 41867 BLAKE2B a8fe379a10bfd37e1675dab83d83d1b53308b5539c86e31f507a0243da898d57c4d320661642e23be439c4aabf88b1aaa559bc620e193e58586568cdfd8040df SHA512 11704d3968261cd844ce248c913f1b9baf813d0f8c712971ac4ec05466f8aa5719932e282b49e378d6799ae88483804055765a881d3cef8e7adff486b450e98e
DIST pyxDamerauLevenshtein-1.7.1.gh.tar.gz 43690 BLAKE2B 52950fa10667775828ee57ae9f68ea06bf8cf4e794c3cf27189fbc1affe877ee2537a5dfc3173a58a8b9ccfae664190e4eac250ddbc7cbeda748af033dd3fbbb SHA512 d16be05305ac8cdabecae90353e68cc51ac99ea88338fafe8379f6969434a9e3e3ac95ba58f71d15ccfcadfb3a9fbe30af563ec848e54115c64c83c69596e116
diff --git a/dev-python/pyxDamerauLevenshtein/pyxDamerauLevenshtein-1.7.0.ebuild b/dev-python/pyxDamerauLevenshtein/pyxDamerauLevenshtein-1.7.0.ebuild
deleted file mode 100644
index 7854c236d274..000000000000
--- a/dev-python/pyxDamerauLevenshtein/pyxDamerauLevenshtein-1.7.0.ebuild
+++ /dev/null
@@ -1,22 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{7,8,9,10} )
-
-inherit distutils-r1
-
-DESCRIPTION="Implements the Damerau-Levenshtein edit distance algorithm for Python in Cython"
-HOMEPAGE="https://github.com/gfairchild/pyxDamerauLevenshtein"
-SRC_URI="https://github.com/gfairchild/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="amd64 ~riscv x86"
-
-RDEPEND="
- dev-python/cython[${PYTHON_USEDEP}]
-"
-
-distutils_enable_tests pytest
diff --git a/dev-python/setuptools-declarative-requirements/Manifest b/dev-python/setuptools-declarative-requirements/Manifest
index 89d52db79027..6fc5a2421af6 100644
--- a/dev-python/setuptools-declarative-requirements/Manifest
+++ b/dev-python/setuptools-declarative-requirements/Manifest
@@ -1,2 +1 @@
-DIST setuptools-declarative-requirements-1.2.0.tar.gz 17936 BLAKE2B a5be2b64fc22d5a45136ec2b98c1d4cc6c20e17dc81070d12948b6f536a517ec8a660c105dfc13a4319d1de54409fb4f7a4c6bacaf1291afa13c7ecc27fd933f SHA512 ce0eeb8692ff2ea80db91cad981853da74c0ca80f58b698753de92f6df3ef5e1c158e314d0ac4d0b4fa99a2ad8ee2d7d80a9d1a13f334966c948dee1a0ae3d98
DIST setuptools-declarative-requirements-1.3.0.gh.tar.gz 19692 BLAKE2B 5030cd7a0b651a11bec8ca9ca4db680c86634c3fe895a6a76544468c2f48aef43a15e30d0c7ba1eea1133dc5b47257a061f6700b8d1e1863d72430a0459ba9f5 SHA512 eb20016ab0b8029a38ff4632d19d63cd4b6396c9d101efce577ac862feb3fc485ac4a644035d3267cd05caf679f9b2259e1d1340f8cd902ea7c7451e099c71cc
diff --git a/dev-python/setuptools-declarative-requirements/setuptools-declarative-requirements-1.2.0-r2.ebuild b/dev-python/setuptools-declarative-requirements/setuptools-declarative-requirements-1.2.0-r2.ebuild
deleted file mode 100644
index e81013d54b6a..000000000000
--- a/dev-python/setuptools-declarative-requirements/setuptools-declarative-requirements-1.2.0-r2.ebuild
+++ /dev/null
@@ -1,51 +0,0 @@
-# Copyright 2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
-
-inherit distutils-r1
-
-DESCRIPTION="Requirements Support For Setuptools Declarative setup.cfg"
-HOMEPAGE="
- https://pypi.org/project/setuptools-declarative-requirements/
- https://github.com/s0undt3ch/setuptools-declarative-requirements
-"
-SRC_URI="
- https://github.com/s0undt3ch/${PN}/archive/${PV}.tar.gz
- -> ${P}.tar.gz
-"
-
-LICENSE="Apache-2.0"
-SLOT="0"
-KEYWORDS="amd64 ~arm ~arm64 ~riscv x86"
-
-RDEPEND="
- dev-python/setuptools[${PYTHON_USEDEP}]
-"
-BDEPEND="
- dev-python/setuptools_scm[${PYTHON_USEDEP}]
- dev-python/wheel[${PYTHON_USEDEP}]
- test? (
- dev-python/pypiserver[${PYTHON_USEDEP}]
- dev-python/virtualenv[${PYTHON_USEDEP}]
- )
-"
-
-distutils_enable_tests pytest
-
-export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
-
-python_prepare_all() {
- sed -e "s/localhost/127.0.0.1/g" -i tests/conftest.py || die
-
- distutils-r1_python_prepare_all
-}
-
-python_test() {
- local -x PIP_DEFAULT_TIMEOUT=3
- local -x PIP_INDEX_URL="http://127.0.0.1:8080"
- epytest -k 'not sdist'
-}
diff --git a/dev-python/stripe/Manifest b/dev-python/stripe/Manifest
index d0f1a9a71f6a..06c2bef28388 100644
--- a/dev-python/stripe/Manifest
+++ b/dev-python/stripe/Manifest
@@ -1,3 +1,2 @@
-DIST stripe-3.5.0.tar.gz 247698 BLAKE2B 8c47b3f4af21934d4dddea2d95831d5d4772c0cf42f8a5d3cff90dbd2dfd51a37c34f92b6df30ddcafbb1ccbde766744ec63fe62881acabbf1437a626ec0ef6c SHA512 67e63f95b489e049d81d9b3929342a8cc2bc3638060d9f278752459d32408bfe8d5f09c4c047a1ed0deedce875b0a84873a3b120f6bb5f30c0668eda5129e4ee
DIST stripe-4.0.2.tar.gz 252436 BLAKE2B d05153e4ddc58b5cbb9f42202a5b8dbcaeff39fab51b5415c59bbbfd615003b4d76881a408fd067a0e17d275a663e7ac8d574af6ead90f9c51e677617ef6117b SHA512 b13ace2419555e21a93f37a328bd59d9ac8af69787dc89ed4851ce5a5a616a34e63d5667b9981f43c486dafee18186a9dc32524c047c9db204dc8ba831198c91
DIST stripe-4.1.0.tar.gz 266799 BLAKE2B ce801bd6d4536163d7fc56b46b23a76d0ed2c392be65b8891750d0c413e3d8195004b09603fc3f360ea97e32e6472f887aa41ca502cf8a0460b9bac3ece610b3 SHA512 6a243526d56bc83caced776850bc3d2582c19f28779684bbf7b0a81f477d8c02c21151052b05b31160f2f81a83f5d7260bd82c171681a059b12012e794c6e5cf
diff --git a/dev-python/stripe/stripe-3.5.0.ebuild b/dev-python/stripe/stripe-3.5.0.ebuild
deleted file mode 100644
index 178d1a004b79..000000000000
--- a/dev-python/stripe/stripe-3.5.0.ebuild
+++ /dev/null
@@ -1,71 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
-
-inherit distutils-r1
-
-DESCRIPTION="Stripe python bindings"
-HOMEPAGE="
- https://github.com/stripe/stripe-python/
- https://pypi.org/project/stripe/
-"
-SRC_URI="mirror://pypi/s/${PN}/${P}.tar.gz"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="amd64 x86"
-
-RDEPEND="
- >=dev-python/requests-2.20[${PYTHON_USEDEP}]
-"
-BDEPEND="
- test? (
- >=dev-util/stripe-mock-0.136.0
- dev-python/pytest-mock[${PYTHON_USEDEP}]
- net-misc/curl
- )
-"
-
-distutils_enable_tests pytest
-
-DOCS=( LONG_DESCRIPTION.rst CHANGELOG.md README.md )
-
-python_test() {
- epytest tests
-}
-
-src_test() {
- local stripe_mock_port=12111
- local stripe_mock_max_port=12121
- local stripe_mock_logfile="${T}/stripe_mock_${EPYTHON}.log"
- # Try to start stripe-mock until we find a free port
- while [[ "${stripe_mock_port}" -le "${stripe_mock_max_port}" ]]; do
- ebegin "Trying to start stripe-mock on port ${stripe_mock_port}"
- stripe-mock --http-port ${stripe_mock_port} &> "${stripe_mock_logfile}" &
- local stripe_mock_pid=$!
- sleep 2
- # Did stripe-mock start?
- curl --fail -u "sk_test_123:" \
- http://127.0.0.1:${stripe_mock_port}/v1/customers &> /dev/null
- eend $? "Port ${stripe_mock_port} unavailable"
- if [[ $? -eq 0 ]]; then
- einfo "stripe-mock running on port ${stripe_mock_port}"
- break
- fi
- (( stripe_mock_port++ ))
- done
- if [[ "${stripe_mock_port}" -gt "${stripe_mock_max_port}" ]]; then
- eerror "Unable to start stripe-mock for tests"
- die "Please see the logfile located at: ${stripe_mock_logfile}"
- fi
-
- local -x STRIPE_MOCK_PORT=${stripe_mock_port}
- distutils-r1_src_test
-
- # Tear down stripe-mock
- kill "${stripe_mock_pid}" || die "Unable to stop stripe-mock"
-}
diff --git a/dev-python/yappi/Manifest b/dev-python/yappi/Manifest
index ec3eefb7206e..f99179deb040 100644
--- a/dev-python/yappi/Manifest
+++ b/dev-python/yappi/Manifest
@@ -1,2 +1 @@
-DIST yappi-1.3.5.gh.tar.gz 936884 BLAKE2B a33ea0c506b3e0d05e141b01ebf4af158c6c794c0c504e52c19c00295f105cfff8a6aa8964ce07e13b87cd60164adfd1107da2c286e17dc0d779e7f9e916fbf8 SHA512 2fc243522414626ed6327b3f6b26c4001f01e288700df62cef81e73cf4077af238836b100167df3c4cfb4e0091d4de14385d349b9821759401cc3666e6fe94e9
DIST yappi-1.3.6.gh.tar.gz 937785 BLAKE2B eb98d51f450091e66429affcc12f4329629bfc466dd8db9c5e77f5385a6b7bb551fd336825d64d94141ae41129618025a716a1b4e0718b022e67978330900bf0 SHA512 f55555042363581535eb4dfca096b1c698fb32720e5d1740d72ee7290f162ec44f0ed05936d6d85fc63f347e6be19b182550bd6e6593b65616d11d109fce8cbc
diff --git a/dev-python/yappi/yappi-1.3.5.ebuild b/dev-python/yappi/yappi-1.3.5.ebuild
deleted file mode 100644
index 706c89894bdf..000000000000
--- a/dev-python/yappi/yappi-1.3.5.ebuild
+++ /dev/null
@@ -1,40 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{7,8,9,10} )
-
-inherit distutils-r1
-
-DESCRIPTION="Yet Another Python Profiler"
-HOMEPAGE="
- https://pypi.org/project/yappi/
- https://github.com/sumerc/yappi/
-"
-SRC_URI="
- https://github.com/sumerc/yappi/archive/${PV}.tar.gz
- -> ${P}.gh.tar.gz
-"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="amd64 ~arm ~arm64 ~riscv x86"
-
-BDEPEND="
- test? (
- dev-python/gevent[${PYTHON_USEDEP}]
- )
-"
-
-distutils_enable_tests unittest
-
-PATCHES=(
- "${FILESDIR}/yappi-1.2.5-warnings.patch"
-)
-
-python_test() {
- local -x PYTHONPATH=tests
- eunittest
-}